# Generated from roles-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name roles

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Roles library with resource scoping
License: MIT
URL: http://github.com/liufengyun/roles
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(activerecord) >= 3.1.0
# BuildRequires: rubygem(activerecord) < 4.0.0
# BuildRequires: rubygem(ammeter)
# BuildRequires: rubygem(rspec) >= 2.2
# BuildRequires: rubygem(rspec-rails) = 2.10
BuildArch: noarch

%description
An extremely simple roles library inspired by rolify.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/UPGRADE.rdoc
%{gem_instdir}/roles.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.2.1-1
- Initial package
